# Method: deployments.devices.signDevice

- [HTTP request](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_2)
    - [JSON representation](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_3)
- [Response body](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/deployments.devices/signDevice#body.aspect)

Signs a `https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/{device.name=deployments/*/devices/*}:signDevice`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `device.name` | `string` Output only. The resource path name. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "device": { "name": string, "fccId": string, "serialNumber": string, "preloadedConfig": { "category": enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceCategory`), "model": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceModel`) }, "airInterface": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceAirInterface`) }, "installationParams": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.InstallationParams`) }, "measurementCapabilities": [ enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.MeasurementCapability`) ], "userId": string, "callSign": string, "state": enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.State`), "isSigned": boolean, "updateTime": string }, "activeConfig": { "category": enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceCategory`), "model": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceModel`) }, "airInterface": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceAirInterface`) }, "installationParams": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.InstallationParams`) }, "measurementCapabilities": [ enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.MeasurementCapability`) ], "userId": string, "callSign": string, "state": enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.State`), "isSigned": boolean, "updateTime": string }, "state": enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.State_1`), "grants": [ { "maxEirp": number, "frequencyRange": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.FrequencyRange`) }, "state": enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.GrantState`), "channelType": enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.ChannelType`), "moveList": [ { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DpaMoveList`) } ], "expireTime": string, "suspensionReason": [ string ], "grantId": string } ], "displayName": string, "deviceMetadata": { object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceMetadata`) } } } ``` |

| Fields ||
|---|---|
| `device.fccId` | `string` The FCC identifier of the device. |
| `device.serialNumber` | `string` A serial number assigned to the device by the device manufacturer. |
| `device.preloadedConfig` | ``object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceConfig`)`` Configuration of the device, as specified via SAS Portal API. |
| `device.activeConfig` | ``object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceConfig`)`` Output only. Current configuration of the device as registered to the SAS. |
| `device.state` | ``enum (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.State_1`)`` Output only. Device state. |
| `device.grants[]` | ``object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceGrant`)`` Output only. Grants held by the device. |
| `device.displayName` | `string` Device display name. |
| `device.deviceMetadata` | ``object (`https://docs.cloud.google.com/spectrum-access-system/docs/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceMetadata`)`` Device parameters that can be overridden by both SAS Portal and SAS registration requests. |

### Response body

If successful, the response body will be empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`